Lintian Fixes - portlet-api-2.0-spec

Ready changes

Merge these changes:

git pull https://janitor.debian.net/git/portlet-api-2.0-spec lintian-fixes

Summary

Diff

=== modified file 'debian/changelog'
--- a/debian/changelog	2016-05-30 16:04:09 +0000
+++ b/debian/changelog	2020-06-10 14:23:30 +0000
@@ -1,3 +1,17 @@
+portlet-api-2.0-spec (1.0-2.2) UNRELEASED; urgency=low
+
+  * Use versioned copyright format URI.
+  * Update copyright file header to use current field names (Name =>
+    Upstream-Name, Maintainer => Upstream-Contact)
+  * Use secure URI in Homepage field.
+  * Bump debhelper from deprecated 9 to 12.
+  * Set debhelper-compat version in Build-Depends.
+  * Update Vcs-* headers from URL redirect.
+  * Use canonical URL in Vcs-Git.
+  * Remove unnecessary get-orig-source-target.
+
+ -- Debian Janitor <janitor@jelmer.uk>  Wed, 10 Jun 2020 14:13:16 -0000
+
 portlet-api-2.0-spec (1.0-2.1) unstable; urgency=medium
 
   * Non-maintainer upload.

=== removed file 'debian/compat'
--- a/debian/compat	2016-05-30 15:09:50 +0000
+++ b/debian/compat	1970-01-01 00:00:00 +0000
@@ -1,1 +0,0 @@
-9

=== modified file 'debian/control'
--- a/debian/control	2016-05-30 16:03:38 +0000
+++ b/debian/control	2020-06-10 14:22:00 +0000
@@ -3,15 +3,15 @@
 Priority: optional
 Maintainer: Debian Java Maintainers <pkg-java-maintainers@lists.alioth.debian.org>
 Uploaders: Damien Raude-Morvan <drazzib@debian.org>
-Build-Depends: debhelper (>= 9), default-jdk, maven-debian-helper (>= 2.0)
+Build-Depends: debhelper-compat (= 12), default-jdk, maven-debian-helper (>= 2.0)
 Build-Depends-Indep: default-jdk-doc,
                      libmaven-javadoc-plugin-java,
                      libservlet3.1-java,
                      libservlet3.1-java-doc
 Standards-Version: 3.9.8
-Vcs-Git: https://anonscm.debian.org/git/pkg-java/portlet-api-2.0-spec.git
-Vcs-Browser: https://anonscm.debian.org/cgit/pkg-java/portlet-api-2.0-spec.git
-Homepage: http://portals.apache.org/pluto/portlet-2.0-apidocs/
+Vcs-Git: https://salsa.debian.org/java-team/portlet-api-2.0-spec.git
+Vcs-Browser: https://salsa.debian.org/java-team/portlet-api-2.0-spec
+Homepage: https://portals.apache.org/pluto/portlet-2.0-apidocs/
 
 Package: libportlet-api-2.0-spec-java
 Architecture: all

=== modified file 'debian/copyright'
--- a/debian/copyright	2016-05-30 16:03:38 +0000
+++ b/debian/copyright	2020-06-10 14:15:34 +0000
@@ -1,7 +1,7 @@
-Format-Specification: http://dep.debian.net/deps/dep5/
-Name: Java Portlet Specification V2.0
-Maintainer: Apache Software Foundation
+Format: https://www.debian.org/doc/packaging-manuals/copyright-format/1.0/
 Source: http://svn.apache.org/repos/asf/portals/portlet-spec/tags/
+Upstream-Name: Java Portlet Specification V2.0
+Upstream-Contact: Apache Software Foundation
 
 Files: *
 Copyright: 2004-2009 Apache Software Foundation

=== modified file 'debian/rules'
--- a/debian/rules	2016-05-30 15:13:47 +0000
+++ b/debian/rules	2020-06-10 14:23:30 +0000
@@ -2,6 +2,3 @@
 
 %:
 	dh $@ --buildsystem=maven
-
-get-orig-source:
-	uscan --download-current-version --force-download --rename

Run locally

Try this locally (using the lintian-brush package):

debcheckout portlet-api-2.0-spec
cd portlet-api-2.0-spec
lintian-brush --exclude=upstream-metadata-file

More details

Full run details